import { OnInit, ElementRef } from '@angular/core';
import { BackgroundModel, LayOutModel, PositionLayoutModal } from '../../styles/style.model';
import BaseSection from '../BaseSection';
import { EventsService } from './../../services/events.service';
import { BannerSectionModel, CarouselBannerContentModel, CarouselBannerStyelsModel } from './carousel-banner.model';
import { OverlayValue } from "../../styles/index";
import * as i0 from "@angular/core";
export declare class CarouselBannerComponent extends BaseSection implements OnInit {
    private _eventService;
    carouselElement1: ElementRef;
    data?: BannerSectionModel;
    index?: number;
    content?: CarouselBannerContentModel;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    styles?: CarouselBannerStyelsModel;
    currentIndex: number;
    selectSlide(index: number): void;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    get stylesLayout(): LayOutModel;
    get getJustifyContent(): string;
    get canMergeNavbar(): boolean | undefined;
    get isBorderlessImage(): boolean | undefined;
    get getPositionLayout(): PositionLayoutModal;
    opacityValue(value: OverlayValue): "0" | "0.7" | "0.5" | "0.3" | "0.2";
    editSection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CarouselBannerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CarouselBannerComponent, "simpo-carousel-banner", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
